Subject: bug#1107: #1107 - 23.0.60; Emacs --daemon crashes when emacsclient tries to establish a connection on OS X - Emacs bug report logs

From: Stefan Monnier <[email-masked]>
Date: Thu, 11 Dec 2008 11:22:28 -0500

> I agree, but did not see an easy way to do so given the way the daemon
> initialization is spread over two processes and several  functions.
> Another idea I thought of would be to simply not fork,  and just require OS
> X users to run "emacs --daemon &".

I thought so too, but that would probably get in the way for things like
emacsclient (once we change it to automatically start the daemon if
it's not running yet).

        Stefan